Tags
Update a tag
Update a tag's name or color by its ID. Only the fields included in the request body are modified.
PUT /v1/tags/{tagId}
Parameters
Path parameters
tagId
string (uuid) required
Request body
Content-Type: application/json
tag
object required
tag.name
string
Example
{
"tag": {
"name": "string"
}
}
Responses
200 — Successful response
Content-Type: application/json
error
boolean required
data
object required
data.tag
object required
data.tag.id
string (uuid) required
data.tag.user_id
string
data.tag.name
string
data.tag._count
object
data.tag._count.tags_contacts
integer
Example
{
"error": false,
"data": {
"tag": {
"id": "00000000-0000-0000-0000-000000000000"
}
}
}
400 — Request body failed validation.
Content-Type: application/json
(body)
any
401 — Missing or invalid API key.
Content-Type: application/json
(body)
any
403 — Valid key, insufficient permission.
Content-Type: application/json
(body)
any
404 — Resource does not exist.
Content-Type: application/json
(body)
any
409 — Request conflicts with the current state of the resource.
Content-Type: application/json
(body)
any
429 — Rate limit exceeded.
Content-Type: application/json
(body)
any
500 — Unexpected server error.
Content-Type: application/json
(body)
any
Code samples
curl https://api.prod.getdex.com/v1/tags/00000000-0000-0000-0000-000000000000 \
--request PUT \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"tag": {
"name": "string"
}
}'
fetch('https://api.prod.getdex.com/v1/tags/00000000-0000-0000-0000-000000000000', {
method: 'PUT',
headers: {
Authorization: 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
tag: {
name: 'string'
}
})
})
requests.put(
"https://api.prod.getdex.com/v1/tags/00000000-0000-0000-0000-000000000000",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
json={
"tag": {
"name": "string"
}
}
)

